function [Q] = quad_laguerre(funfcn,n,varargin)
%	
% Nabil Tahani, HEC Montral. Copyright 2003.
%
% This function computes an integral using the Gauss-Laguerre rule
%

[L,L_1,R,W,WeR] = laguerre_poly(n);

for j = 1:size(R)
   y(:,j) = feval(funfcn,R(j),varargin{:}); 
end;   
Q = y*WeR;